@base <https://purl.org/coscine/ap/qudt/quantitykind/ThermalAdmittance/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/ThermalAdmittance/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Thermal Admittance sind."@de,
    "Profile for all units that are a/an Thermal Admittance."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Thermal Admittance"@de,
    "Unit: Thermal Admittance"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:BTU_IT-PER-FT2-HR-DEG_F unit:BTU_IT-PER-FT2-SEC-DEG_F unit:BTU_IT-PER-HR-FT2-DEG_R unit:BTU_IT-PER-SEC-FT2-DEG_R unit:CAL_IT-PER-SEC-CentiM2-K unit:CAL_TH-PER-SEC-CentiM2-K unit:W-PER-M2-K ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:BTU_IT-PER-FT2-HR-DEG_F rdfs:label "Btu Per Square Foot Hour Degree Fahrenheit"@en .
unit:BTU_IT-PER-FT2-SEC-DEG_F rdfs:label "Btu Per Square Foot Second Degree Fahrenheit"@en .
unit:BTU_IT-PER-HR-FT2-DEG_R rdfs:label "British Thermal Unit (International Table) Per Hour Square Foot Degree Rankine"@en .
unit:BTU_IT-PER-SEC-FT2-DEG_R rdfs:label "British Thermal Unit (International Table) Per Second Square Foot Degree Rankine"@en .
unit:CAL_IT-PER-SEC-CentiM2-K rdfs:label "Calorie (International Table) Per Second Square Centimeter Kelvin"@en-us, "Calorie (International Table) Per Second Square Centimetre Kelvin"@en .
unit:CAL_TH-PER-SEC-CentiM2-K rdfs:label "Calorie (Thermochemical) Per Second Square Centimeter Kelvin"@en-us, "Calorie (Thermochemical) Per Second Square Centimetre Kelvin"@en .
unit:W-PER-M2-K rdfs:label "Watt Per Square Meter Kelvin"@en-us, "Watt Per Square Metre Kelvin"@en .
